# Start the Chicken REPL
import sys
import os
import atexit

sys.path.append(os.path.expanduser("~/scythians/"))
import scythians
from scythians import c_
first_output = c_()

# Save the file .pychick.history file when we last exit Python
try:
    import readline
except ImportError:
    pass
else:
    import rlcompleter
    # Write to the Python REPL history
    # ~/.pychick.history is already opened
    historyPath = os.path.expanduser("~/scythians/.pychick.history")
    atexit.register(readline.write_history_file, historyPath)
