cdef extern from "chicken.h":
    void *CHICKEN_default_toplevel
    long CHICKEN_run (void *)
    int CHICKEN_eval_string_to_string (char *, char *, int)

cdef extern from "scythian_constants.h":
    enum: 
        STRING_LENGTH


# Change STRING_LENGTH in cython_chicken_constants.h
cdef inline char * C_chick_eval_s_to_s (char *IN_STR):
    cdef char[STRING_LENGTH + 1] OUT_STRING
    status = CHICKEN_eval_string_to_string(IN_STR, OUT_STRING , STRING_LENGTH)
    if (status == 0):
        print "Chicken evaluation failed"
        return OUT_STRING
    elif (str(OUT_STRING) == '#<unspecified>'):
        return OUT_STRING
    else:
        print OUT_STRING
        return OUT_STRING

cdef inline char * C_chick_eval_s_to_s_no_print (char *IN_STR):
    cdef char[STRING_LENGTH + 1] OUT_STRING
    status = CHICKEN_eval_string_to_string(IN_STR, OUT_STRING , STRING_LENGTH)
    if (status == 0):
        return OUT_STRING
    elif (str(OUT_STRING) == '#<unspecified>'):
        return OUT_STRING
    else:
        return OUT_STRING

