from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext

ext_modules=[
    Extension("scythians",
              ["scyth.pyx"],
              include_dirs = ["/usr/local/include" , "."],
              library_dirs = ["/usr/local/lib"],
              libraries = ["chicken"])
]

setup(
  name = "scythians",
  version = "0.1",
  description = "Evaluations of Chicken Scheme from Python",
  author = "David Dreisigmeyer",
  cmdclass = {"build_ext": build_ext},
  ext_modules = ext_modules
)
